Package org.globus.ftp

# Class HostPortList

java.lang.Object
org.globus.ftp.HostPortList

public class HostPortList extends Object
Utility class for parsing and converting host-port information from SPAS and SPOR FTP commands. Represents a list of host-port pairs.

## Constructor Summary

Constructors
Constructor
Description
`HostPortList()`
Creates an empty list
`HostPortList(String spasReplyMsg)`
Parses host-port from the reply to SPAS command.

## Method Summary

Modifier and Type
Method
Description
`void`
`add(HostPort hp)`
Adds an element to the list
`HostPort`
`get(int index)`
`static HostPortList`
`parseIPv4Format(String message)`
`static HostPortList`
`parseIPv6Format(String message)`
`int`
`size()`
`String`
`toFtpCmdArgument()`
Returns the host-port infromation in the format used by SPOR command.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HostPortList

public HostPortList(String spasReplyMsg)
Parses host-port from the reply to SPAS command.

Parameters:
  `spasReplyMsg` - reply message for the SPAS command

### HostPortList

public HostPortList()
Creates an empty list

## Method Details

### add

public void add(HostPort hp)
Adds an element to the list

### size

public int size()

Returns:
  number of elements in the list

### get

public HostPort get(int index)

Returns:
  element of the specified index

### toFtpCmdArgument

public String toFtpCmdArgument()
Returns the host-port infromation in the format used by SPOR command.

Returns:
  host-port information in SPOR command parameter representation.

### parseIPv6Format

public static HostPortList parseIPv6Format(String message)

### parseIPv4Format

public static HostPortList parseIPv4Format(String message)